package Test::ConnectInfo;
use Moose;
extends 'DBIx::ConnectInfo';
# Subclasses should provide defaults for 'namespace', 'dsn_env_map', 
# and (optionally) 'defaults_map'
has '+namespace' => ( default => 'Test' );
has '+dsn_env_map' => ( default => sub { { 
  dev  => 'dbi:Pg:dbname=foobar',
  test => 'dbi:Pg:dbname=foobar_test',
  prod => 'dbi:Pg:dbname=foobar;host=db1',
} } );
has '+defaults_map' => ( default => sub { {
  env  => 'dev',
  role => 'web',
} } );
1;
