#!perl

use Test::More tests => 13;

BEGIN {
  use lib -d 't' ? 't/lib' : 'lib';
  use_ok( 'DBIx::ConnectInfo::Auth' );
}

my $auth;
for my $env (qw(dev test prod)) {
  ok($auth = eval "require Test::Auth::Web::\u$env", "auth require, env $env");
  ok($auth = eval "Test::Auth::Web::\u$env->new", "auth construction, env $env");
  is($auth->user, "web$env", "$env user ok");
  is($auth->pass, "web${env}pass", "$env pass ok");
}

